
Name: kig
Summary: KDE5 Interactive Geometry
Version: 17.12.3
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2 and GFDL
URL: http://edu.kde.org/kig
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: cmake 
BuildRequires: lib64boost-devel
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5archive-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5crash-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5iconthemes-devel 
BuildRequires: lib64kf5parts-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5texteditor-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64python-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5printsupport-devel 
BuildRequires: lib64qt5svg-devel 
BuildRequires: lib64qt5widgets-devel 
BuildRequires: lib64qt5xml-devel 
BuildRequires: lib64qt5xmlpatterns5-devel 
BuildRequires: libquadmath-devel 


%description
Kig is a program for use in math classes in high school, to allow
students to interactively explore geometric concepts.

%files
%_kf5_bindir/kig
%_kf5_bindir/pykig.py
%_kf5_datadir/kig
%_kf5_iconsdir/*/*/apps/kig.*
%_kf5_iconsdir/*/*/mimetypes/application-x-kig.*
%_kf5_datadir/applications/*.desktop
%_kf5_services/kig_part.desktop
%_qt5_plugindir/kigpart.so
#%_kf5_datadir/katepart/syntax/python-kig.xml
%_kf5_datadir/kxmlgui5/kig
%_kf5_datadir/metainfo
%_kf5_datadir/katepart5/syntax/python-kig.xml
%_kf5_datadir/locale
%_kf5_mandir
#------------------------------------------------------------------------------

%package handbook
Summary: Kig handbook
Requires: %name
BuildArch: noarch
Group: Documentation

%description handbook
This package provides kig handbook and mandir.

%files handbook
%doc COPYING COPYING.DOC AUTHORS ChangeLog
%doc %_kf5_docdir/HTML


#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build


%changelog
* Mon Mar 12 2018 bb2 <bb2> - 17.12.3-1pclos2018
- new version

* Mon Feb 12 2018 bb2 <bb2> - 17.12.2-1pclos2018
- new version

* Fri Jan 12 2018 bb2 <bb2> - 17.12.1-1pclos2018
- new version

* Fri Dec 15 2017 bb2 <bb2> - 17.12.0-1pclos2017
- new version

* Thu Nov 09 2017 bb2 <bb2> - 17.08.3-1pclos2017
- new version

* Thu Oct 12 2017 bb2 <bb2> - 17.08.2-1pclos2017
- new version

* Sat Oct 07 2017 bb2 <bb2> - 17.08.1-1pclos2017
- new version

* Tue Sep 19 2017 bb2 <bb2> - 17.08.0-2pclos2017
- rebuild against updates

* Fri Aug 18 2017 bb2 <bb2> - 17.08.0-1pclos2017
- new version

* Fri Jul 14 2017 bb2 <bb2> - 17.04.3-1pclos2017
- new version

* Thu Jun 08 2017 bb2 <bb2> - 17.04.2-1pclos2017
- new version

* Thu May 11 2017 bb2 <bb2> - 17.04.1-1pclos2017
- new version

* Fri Apr 21 2017 bb2 <bb2> - 17.04.0-1pclos2017
- new version

* Fri Mar 10 2017 bb2 <bb2> - 16.12.3-1pclos2017
- new version

* Fri Feb 10 2017 bb <bb> - 16.12.2-1pclos2017
- new version

* Thu Jan 12 2017 bb <bb> - 16.12.1-1pclos2017
- new version

* Tue Dec 27 2016 bb <bb> - 16.12.0-1pclos2017
- new version

